package eworks.eRQL.model;

/**
 * <p>Abstract base class for the model components of an eRQL query.</p>
 * 
 * @author Fabian Wleklinski (<a href="mailto:fabian@wleklinski.de">fabian@wleklinski.de</a>)
 * @version 1.00 (2003-11-03)
 */
public abstract class ModelComponent {
	/**
	 * Returns this model component's string representation.
	 * 
	 * @return this model component's string representation.
	 */
	public String toString() {
		return this.getClass().getName().substring(
			this.getClass().getName().lastIndexOf('.')+1);
	}
}
